List tests

Lists all agent response tests with pagination support and optional search filtering.

Encabezados

xi-api-keystringOpcional

Parámetros de consulta

cursorstringOpcional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOpcional1-100Valor predeterminado: 30
How many Tests to return at maximum. Can not exceed 100, defaults to 30.
searchstringOpcional
Search query to filter tests and folders by name.
parent_folder_idstringOpcional
Filter by parent folder ID. Use 'root' to get items in the root folder.
typesenumOpcional

If present, the endpoint will return only tests/folders of the given types.

Valores permitidos:
include_foldersbooleanOpcionalDeprecated

Deprecated. Use the types query param and include folder instead.

sort_modeenumOpcionalValor predeterminado: default

Sort mode for listing tests. Use ‘folders_first’ to place folders before tests.

Valores permitidos:
sharing_modeenumOpcional

Filter test visibility. Use shared_with_me to return only tests/folders shared with the current user that they did not create.

Valores permitidos:

Respuesta

Successful Response
testslist of objects
has_moreboolean
next_cursorstringOpcional

Errores

422
Tests List Request Unprocessable Entity Error